package com.ruoyi.predict.service.impl;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.predict.domain.WfTheorypowerData;
import com.ruoyi.predict.mapper.WfTheorypowerDataMapper;
import com.ruoyi.predict.service.IWfTheorypowerDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * WfTheorypowerDataService业务层处理
 * 
 * @author hlf
 * @date 2022-09-13
 */
@Service
public class WfTheorypowerDataServiceImpl implements IWfTheorypowerDataService 
{
    @Autowired(required = false)
    private WfTheorypowerDataMapper wfTheorypowerDataMapper;

    /**
     * 查询WfTheorypowerData
     * 
     * @param windplantNo WfTheorypowerDataID
     * @return WfTheorypowerData
     */
    @Override
    public WfTheorypowerData selectWfTheorypowerDataById(Long windplantNo)
    {
        return wfTheorypowerDataMapper.selectWfTheorypowerDataById(windplantNo);
    }

    /**
     * 查询WfTheorypowerData列表
     * 
     * @param wfTheorypowerData WfTheorypowerData
     * @return WfTheorypowerData
     */
    @Override
    public List<WfTheorypowerData> selectWfTheorypowerDataList(WfTheorypowerData wfTheorypowerData)
    {
        return wfTheorypowerDataMapper.selectWfTheorypowerDataList(wfTheorypowerData);
    }

    /**
     * 新增WfTheorypowerData
     * 
     * @param wfTheorypowerData WfTheorypowerData
     * @return 结果
     */
    @Override
    public int insertWfTheorypowerData(WfTheorypowerData wfTheorypowerData)
    {
        return wfTheorypowerDataMapper.insertWfTheorypowerData(wfTheorypowerData);
    }

    /**
     * 修改WfTheorypowerData
     * 
     * @param wfTheorypowerData WfTheorypowerData
     * @return 结果
     */
    @Override
    public int updateWfTheorypowerData(WfTheorypowerData wfTheorypowerData)
    {
        return wfTheorypowerDataMapper.updateWfTheorypowerData(wfTheorypowerData);
    }

    /**
     * 删除WfTheorypowerData对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteWfTheorypowerDataByIds(String ids)
    {
        return wfTheorypowerDataMapper.deleteWfTheorypowerDataByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除WfTheorypowerData信息
     * 
     * @param windplantNo WfTheorypowerDataID
     * @return 结果
     */
    @Override
    public int deleteWfTheorypowerDataById(Long windplantNo)
    {
        return wfTheorypowerDataMapper.deleteWfTheorypowerDataById(windplantNo);
    }

    @Override
    public List<WfTheorypowerData> selectWfTheorypowerData(Long windplantNo, Date dataTime) {
        return wfTheorypowerDataMapper.selectWfTheorypowerData(windplantNo, dataTime);
    }
}
